Bug 1464741 - dracut doesn't add serial console driver to initramfs automatically
Summary: dracut doesn't add serial console driver to initramfs automatically
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint-list
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-25 10:15 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2017-12-12 10:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:32:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github dracutdevs dracut issues 248 None None None Never
Red Hat Bugzilla 1464709 None None None Never

Internal Links: 1464709

Description Dominik 'Rathann' Mierzejewski 2017-06-25 10:15:44 UTC
Description of problem:
dracut doesn't add serial console driver to initramfs if one is required to drive a console specified in kernel command line. This is related to bug 1464709. Between kernel 4.10.17 and 4.11.x on F25, the 8250_pci driver required to drive my serial console was switched from built-in to module in the kernel config, effectively disabling the serial console, because the driver is not loaded before rootfs is mounted and, for example, LUKS password prompt is displayed only on tty0. I worked around this by re-running dracut with --force-drivers 8250_pci, but this should be done automatically by dracut.

Version-Release number of selected component (if applicable):
dracut-044-78.fc25.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Install any serial port card supported by the 8250_pci driver, e.g. http://www.i-tec.cz/index.php?t=3&v=103 which is identified as "MosChip Semiconductor Technology Ltd. PCIe 9912 Multi-I/O Controller"
2. Edit the following lines in /etc/default/grub"
GRUB_TERMINAL_INPUT="console serial"
GRUB_TERMINAL_OUTPUT="console serial"
GRUB_SERIAL_COMMAND="serial --speed=115200 --unit=4 --word=8 --parity=no --stop=1"
GRUB_CMDLINE_LINUX_DEFAULT="LANG=en_GB.UTF=8 console=tty0 console=ttyS4,115200n8"
3. Install any 4.11.x kernel.
4. Boot the newly installed kernel

Actual results:
8250_pci driver is not added to initramfs and serial console is not activated after reboot.

Expected results:
8250_pci driver required for ttyS4 should be added to initramfs so that kernel messages and LUKS password prompt are visible on the console after reboot.

Additional info:
This probably affects all Fedora releases with kernel 4.11.x where the 8250_pci driver is built as a module, but I tested only F25.

Comment 1 Dominik 'Rathann' Mierzejewski 2017-06-29 09:54:51 UTC
Note: 8250_pci driver was moved back to built-in in 4.11.7.

Comment 2 Dominik 'Rathann' Mierzejewski 2017-06-29 10:05:20 UTC
Reported upstream, too.

Comment 4 Fedora End Of Life 2017-11-16 19:41:28 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:32:41 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.